Skip to main content
GET
/
users
/
me
Get current user
curl --request GET \
  --url https://ai-api.getbreezyapp.com/api/v1/users/me \
  --header 'Authorization: Bearer <token>'
{
  "principalId": "<string>",
  "email": "jsmith@example.com",
  "impersonating": true,
  "tenantId": "<string>",
  "featureFlags": "<unknown>"
}

Authorizations

Authorization
string
header
required

User JWT bearer token. User principals can manage API keys and call tenant-scoped customer endpoints.

Response

200 - application/json

OK

principalId
string
required

Unique identifier (UUID)

Pattern: ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$
kind
enum<string>
required
Available options:
user,
staff
email
string<email>
required

Email address

impersonating
boolean
required
tenantId
string

Unique identifier (UUID)

Pattern: ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$
tenantType
enum<string>
Available options:
production,
demo,
test
featureFlags
any